"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PiAPI = void 0;
class PiAPI {
    constructor() {
        this.name = 'piAPIApi';
        this.displayName = 'PiAPI';
        this.properties = [
            {
                displayName: 'API Key',
                name: 'apiKey',
                type: 'string',
                typeOptions: {
                    password: true,
                },
                default: '',
                required: true,
                description: 'Your PiAPI API key from the PiAPI workspace',
            },
        ];
        this.authenticate = {
            type: 'generic',
            properties: {
                headers: {
                    'x-api-key': '={{ $credentials.apiKey }}',
                },
            },
        };
        this.test = {
            request: {
                baseURL: 'https://api.piapi.ai',
                url: '/api/v1/task',
                method: 'POST',
                body: {
                    model: 'Qubico/flux1-schnell',
                    task_type: 'txt2img',
                    input: {
                        prompt: 'test credential validation',
                    }
                },
            },
        };
    }
}
exports.PiAPI = PiAPI;
//# sourceMappingURL=PiAPI.credentials.js.map